SRD Standelone programmation box: tUartFifo Struct Reference

| SRD Standelone programmation box 2.0 (16/11/15 10:00:00) Documentation of the SRD standelone programmation box

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Pages
Data Fields
tUartFifo Struct Reference

Define the FIFO structure used by the uart controller. More...

`#include "uart_common.h"`

## Data Fields

char * | data
unsigned short | lastIn
unsigned short | lastOut
unsigned short | nbrChar

## Detailed Description

Define the FIFO structure used by the uart controller.

Definition at line 45 of file uart_common.h.

## Field Documentation

char* tUartFifo::data

Pointer on the buffer used to store data

Definition at line 46 of file uart_common.h.

Referenced by UART0_IRQHandler(), Uart0Init(), Uart0ReadChar(), Uart0SendData(), Uart0SendString(), UART1_IRQHandler(), Uart1Init(), Uart1ReadChar(), Uart1SendData(), Uart1SendString(), UART2_IRQHandler(), Uart2Init(), Uart2ReadChar(), Uart2SendData(), and Uart2SendString().

unsigned short tUartFifo::lastIn

Index of the last in data

Definition at line 47 of file uart_common.h.

Referenced by CR95UartResetReceiver(), UART0_IRQHandler(), Uart0Init(), Uart0SendData(), Uart0SendString(), UART1_IRQHandler(), Uart1Init(), Uart1SendData(), Uart1SendString(), UART2_IRQHandler(), Uart2Init(), Uart2SendData(), and Uart2SendString().

unsigned short tUartFifo::lastOut

Index of the last out data

Definition at line 48 of file uart_common.h.

Referenced by CR95UartResetReceiver(), UART0_IRQHandler(), Uart0Init(), Uart0ReadChar(), UART1_IRQHandler(), Uart1Init(), Uart1ReadChar(), UART2_IRQHandler(), Uart2Init(), and Uart2ReadChar().

unsigned short tUartFifo::nbrChar

Current number of char in the FIFO

Definition at line 49 of file uart_common.h.

Referenced by CR95HFReadAnswer(), CR95UartResetReceiver(), UART0_IRQHandler(), Uart0Init(), Uart0ReadChar(), Uart0SendData(), Uart0SendString(), UART1_IRQHandler(), Uart1Init(), Uart1ReadChar(), Uart1SendData(), Uart1SendString(), UART2_IRQHandler(), Uart2Init(), Uart2ReadChar(), Uart2SendData(), and Uart2SendString().

The documentation for this struct was generated from the following file:

- uart_common.h